
// myhelp.h
////////////

// diesen Header nur einmal einbinden
#ifndef _MYHELP_H_
#define _MYHELP_H_

// weitere benoetigte Header einbinden
#include "qincludes.h"


class MyHelp : public QDialog
{
	/**
	 * Darstellung der Hilfeseite
	 */
	Q_OBJECT
private:
	// der Hilfe Text an sich
	static const char* helpText;
	// der Browser in dem der Text dargestellt wird
	QTextBrowser *helpBrowser;
	// das Layout in dem der Browser eingebunden wird
	QBoxLayout *layout;
public:
	// Konstruktor
	MyHelp( QWidget *parent, const char *name = 0  );
	// leerer Destruktor
	~MyHelp() { /* destructor empty */ };
public slots:
	// Hilfeseite ein- und ausblenden
	void toggle();
};

#endif
