
// mylineedit.h
////////////////

// diesen Header nur einmal einbinden
#ifndef _MYLINEEDIT_H_
#define _MYLINEEDIT_H_

// weitere benoetigte Header einbinden
#include "qincludes.h"


class MyLineEdit : public QLineEdit
{
	/**
	 * Eingebezeile
	 */
	Q_OBJECT
private:
	// nur nicht leere Zeichenkette senden
	void tryEmit( QString emitME );
public:
	// Konstruktor
	MyLineEdit( QWidget *parent, const char *name=0 );
	// leerer Destruktor
	~MyLineEdit() { /* destructor empty */ };
public slots:
	// Return Taste abfangen
	void returnPressedCatch();
	// Textzeile setzen (Ziel fuer Klick in Stapel)
	void setLine( QString text );
signals:
	// Inhalt senden, wenn Return Taste gedrueckt wurde
	virtual void returnPressedValue( QString );
};

#endif
